Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1826110 - Request to package ShellCheck for EPEL-8
Summary: Request to package ShellCheck for EPEL-8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ShellCheck
Version: epel8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: greg.hellings
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-20 22:05 UTC by Graham Williamson
Modified: 2022-09-05 08:30 UTC (History)
7 users (show)

Fixed In Version: ShellCheck-0.6.0-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-05 08:30:37 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-506 0 None None None 2022-07-12 14:46:13 UTC

Description Graham Williamson 2020-04-20 22:05:39 UTC
Hi,

I would like to ask for a build of ShellCheck for EPEL 8. Missing this from my CI.

Please, let me know if I can be of any help.

Thanks.

Comment 1 Jens Petersen 2020-04-21 09:51:13 UTC
Thanks!

Currently just starting finally to work on getting ghc added to EPEL8.

Comment 2 Jens Petersen 2020-04-21 10:05:18 UTC
(I am not sure why the bug is assigned to greghellings?)

Comment 3 greg.hellings 2020-04-25 06:46:36 UTC
I think that I own the epel7 branch, so it defaulted the epel8 request to me? Maybe? I'm very happy to not be on any branch, frankly, as I know nothing about Haskell.

Comment 4 Jens Petersen 2020-05-19 14:00:48 UTC
(In reply to greg.hellings from comment #3)
> I think that I own the epel7 branch, so it defaulted the epel8 request to
> me? Maybe?

Ah okay, I might well have forgotten that.

I asked around apparently it is currently stored in a separate git repo,
but that is going to change.

> I'm very happy to not be on any branch, frankly, as I know
> nothing about Haskell.

Okay no worries.

Comment 5 cis.support 2020-11-17 11:25:59 UTC
Hi - just wondering if there are any plans to include this soon? Would be useful for us to have this available.

Comment 6 Jens Petersen 2022-04-02 15:09:51 UTC
Greg, could you help here by requesting an epel8 branch, please?

After that feel free to assign it back to me.
I am also happy to take over the epel branches.

Comment 7 Fedora Update System 2022-08-28 16:06:04 UTC
FEDORA-EPEL-2022-619c71c0b0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-619c71c0b0

Comment 8 Fedora Update System 2022-08-28 23:35:44 UTC
FEDORA-EPEL-2022-619c71c0b0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-619c71c0b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-09-05 08:30:37 UTC
FEDORA-EPEL-2022-619c71c0b0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.